/* .main-header-menu .sub-menu {
    width: 100vw !important;
    background: #D8D0C3;
    left: 0;
    position: fixed;
    top: 89px!important;
    display: flex;
    height: 60px;
} */

.ast-primary-header-bar {
    background-color: #EDE9E3;
    background-image: none;
}

.main-navigation ul {
    position: unset;
}

.main-header-menu .menu-item {
    position: unset;
}

#ast-desktop-header .ast-main-header-wrap .main-header-bar-navigation  ul.sub-menu {
    display: flex;
    width: 100vw;
    flex-direction: row;
    margin-top: -1px;
    justify-content: space-between;
    background-color: #D8D0C3;
    padding: 0px 90px;
}



#ast-desktop-header .main-header-menu .sub-menu .menu-item.focus>.sub-menu, .main-header-menu .sub-menu .menu-item:hover>.sub-menu {
    left: 0 !important;
    top: 115px !important;
    right: auto;
    background-color: #C2BAAE !important;
}

/* #ast-desktop-header .main-header-menu .menu-item:hover > .sub-menu,
#ast-desktop-header .main-header-menu .menu-item.focus > .sub-menu {
    display: flex !important;
} */

.main-header-menu > .menu-item > .menu-link {
    padding: 30px 20px;
}

.sub-menu { 
    transition: opacity .5s ease, visibility .5s ease, transform .5s ease !important;
}

#ast-desktop-header #ast-hf-menu-1 ul.sub-menu li{
    padding-top: 40px;
    padding-bottom: 40px;
    width: 100%;
}

#ast-desktop-header span.ast-icon.icon-arrow {
    display: none !important;
}
#ast-desktop-header #ast-scroll-top span.ast-icon.icon-arrow {
    display: block !important;
}

#ast-desktop-header .main-navigation ul.sub-menu li a {
    text-align: center;
}

#ast-desktop-header .main-navigation ul.sub-menu ul.sub-menu li a {
    text-align: center;
    font-size: 10px;
}


.dark-header #ast-desktop-header .ast-primary-header-bar {
    background-color: #00222B;
    background-image: none;
}

.dark-header #ast-desktop-header .ast-builder-menu-1 .menu-item > .menu-link {
    color: #E4F9F7;
}

.dark-header #ast-desktop-header .ast-builder-menu-1 ul.sub-menu .menu-item > .menu-link {
    color: #00222B;
}

.dark-header #ast-desktop-header .ast-header-button-1 .ast-custom-button {
    color: #00222B;
    background: #9CC5D3;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
    border-bottom-right-radius: 6px;
    border-bottom-left-radius: 6px;
}

.dark-header #ast-desktop-header .ast-primary-header-bar {
    border-bottom-color: #9CC5D3;
}


/* .ast-desktop .astra-menu-animation-slide-down>.menu-item:hover >.sub-menu,
.ast-desktop .astra-menu-animation-slide-down>.menu-item .menu-item:hover>.sub-menu {
    display: none !important;
}

#ast-desktop-header .ast-main-header-wrap .main-header-bar-navigation ul.sub-menu.active {
    display: flex !important;
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
    transition: opacity .2s ease, visibility .2s ease, transform .2s ease;
    left: 0 !important;
}

#ast-desktop-header .main-header-menu .sub-menu .menu-item.menu-item-has-children>.menu-link .icon-arrow {
    display: flex !important;
    padding: 5px;
    margin-left: 5px;
}

#ast-desktop-header .main-navigation ul.sub-menu li a {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
}

#ast-desktop-header .main-header-menu .sub-menu .menu-item.menu-item-has-children>.menu-link .icon-arrow svg {
    height: 10px;
     width: 10px;
     margin-left: 0;
} */

.ast-builder-menu-1 .sub-menu .sub-menu {
    top: 75px !important;
    background-color: #C2BAAE !important;
}

#ast-desktop-header .main-header-menu .sub-menu .menu-item.menu-item-has-children>.menu-link .ast-header-navigation-arrow .icon-arrow {
    display: none !important;
}

 
#ast-desktop-header .main-navigation ul.sub-menu .menu-item.current-menu-item > a,
#ast-desktop-header .main-navigation ul.sub-menu .menu-item.current-menu-parent > a,
#ast-desktop-header .main-navigation ul.sub-menu .menu-item.current-menu-ancestor > a {
    font-weight: 500;
    color: #111;
    letter-spacing: 0.2px;
    text-shadow: 0.015px 0 0 #000, -0.015px 0 0 #000;

}

#ast-desktop-header .main-navigation ul.sub-menu ul.sub-menu .menu-item.current-menu-item > a,
#ast-desktop-header .main-navigation ul.sub-menu ul.sub-menu .menu-item.current-menu-parent > a,
#ast-desktop-header .main-navigation ul.sub-menu ul.sub-menu .menu-item.current-menu-ancestor > a {
    font-weight: 500;
    color: #111;
    letter-spacing: 0.2px;
    text-shadow: 0.015px 0 0 #000, -0.015px 0 0 #000;
}

@media screen and (max-width: 1280px) { 
    .ast-primary-header-bar .site-primary-header-wrap {
        min-height: 60px;
        padding-left: 0;
        padding-right: 0;
    }
    header .custom-logo-link img {
        max-width: 120px;
        width: 120px;
    }
    #ast-hf-menu-1 ul.sub-menu li {
        padding-top: 10px;
        padding-bottom: 10px;
    }
    .main-header-menu .sub-menu .menu-item.focus>.sub-menu, .main-header-menu .sub-menu .menu-item:hover>.sub-menu {
        top: 115px !important;
    }
}

@media (min-width: 922px) {
    #ast-desktop-header .ast-builder-grid-row-container.ast-container {
        max-width: 100%;
    }

    .ast-primary-header-bar {
        border-bottom-width: 0.5px;
        border-bottom-color: #00222B;
        border-bottom-style: solid;
    }
}

@media (min-width: 991px) {
    #ast-hf-mobile-menu .menu-item-has-children {
        /* pointer-events: none; */
    }
}
 

@media (max-width: 921px) {

    .ast-header-break-point .main-header-bar-navigation .menu-item-has-children .sub-menu a {
        font-size: 12px !important;
        padding-left: 40px !important;
    }
    .ast-header-break-point .main-navigation .sub-menu .menu-item .menu-item .menu-link {
        padding-left: 48px !important;
    }

    .ast-header-break-point .main-header-bar-navigation .menu-item-has-children .sub-menu  button svg {
        height: .60em;
        width: .75em;
        display: block;
        margin-top: 13px;
        margin-right: 2px;
    }
    .main-header-menu .sub-menu .menu-item .sub-menu .ast-icon.icon-arrow {
        display: none !important;
     }
}

@media (max-width: 768px) {
    .ast-desktop .ast-primary-header-bar.main-header-bar, .ast-header-break-point #masthead .ast-primary-header-bar.main-header-bar {
        padding-left: 30px;
        padding-right: 30px;
        min-height: 90px;
    }
    [data-section="section-header-mobile-trigger"] .ast-button-wrap .mobile-menu-toggle-icon .ast-mobile-svg {
        fill: #00222B;
    }
 
    #ast-hf-mobile-menu button.ast-menu-toggle {
        box-shadow: none;

    }

    #ast-hf-mobile-menu button.ast-menu-toggle:focus,
    #ast-hf-mobile-menu button.ast-menu-toggle:focus-visible {
        outline: none !important;
        border: none !important;
        box-shadow: none !important;
    }

    #ast-mobile-header .ast-button-wrap .menu-toggle.main-header-menu-toggle {
        padding: 0;
    }

    .ast-builder-menu-mobile .main-navigation .menu-item.menu-item-has-children > .ast-menu-toggle {
        top: 0;
        right: 30px;
        padding: 0;
    }

    .ast-builder-menu-mobile .main-navigation .main-header-menu .menu-item > .menu-link {
        padding: 0;
    }

    #ast-hf-mobile-menu {
        padding: 0;
    }

    .ast-header-break-point .main-navigation ul .menu-item .menu-link .icon-arrow:first-of-type {
        display: none;
    }

    .ast-mobile-header-content.content-align-flex-start  {
        height: 100vh;
    }

    .main-navigation ul {
        position: relative;
    }
    
    .main-header-menu .menu-item {
        position: relative;
    }

    .main-header-menu .sub-menu .menu-item:hover>.sub-menu {
        left: 0 !important;
        top: 75px !important;
        right: auto;
        background-color: unset !important;
    }

    .ast-header-break-point .main-navigation .sub-menu .menu-item .menu-item .menu-link {
        padding-left: 0px;
    }

    .ast-hfb-header .ast-builder-menu-mobile .main-navigation .menu-item .sub-menu .menu-link, .ast-hfb-header .ast-builder-menu-mobile .main-navigation .menu-item .menu-link, .ast-hfb-header .ast-builder-menu-mobile .main-navigation .menu-item .sub-menu .menu-link, .ast-hfb-header .ast-builder-menu-mobile .main-navigation .menu-item .menu-link, .ast-hfb-header .ast-mobile-header-content .ast-builder-menu-mobile .main-navigation .menu-item .sub-menu .menu-link, .ast-hfb-header .ast-mobile-header-content .ast-builder-menu-mobile .main-navigation .menu-item .menu-link, .ast-hfb-header .ast-mobile-popup-content .ast-builder-menu-mobile .main-navigation .menu-item .sub-menu .menu-link, .ast-hfb-header .ast-mobile-popup-content .ast-builder-menu-mobile .main-navigation .menu-item .menu-link {
        padding-left: 30px;
    }

    .sub-menu:nth-child(1) > a {
        font-size: 18px;
    }

    .sub-menu:nth-child(2) > a {
        font-size: 14px;
    }

    /* Style for the first sub-menu (boxed in red) */
    .sub-menu > li > a {
        font-size: 14px;  /* Set font size for the first submenu items */
    }
    
    /* Style for the second level of submenus under ACCOUNTING, AUDIT, etc. */
    .sub-menu .sub-menu > li > a {
        font-size: 12px;  /* Set font size for the second submenu items */
    }

    .ast-main-header-nav-open {
        overflow: hidden;
    }


    #ast-hf-mobile-menu .sub-menu button.ast-menu-toggle {
        top: 0;
        bottom: 0;
        width: 75px;
        right: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 0;
        max-height: 37px;
    }
    #ast-hf-mobile-menu .sub-menu   .ast-icon svg{
        margin: 0;
    }
    
}

@media screen and (max-width: 480px) {
    .ast-mobile-header-content.content-align-flex-start {
        display: block;
        max-height: 0;
        overflow: hidden;
        transition: all .4s linear;
        height: 100vh;
    }

    .ast-main-header-nav-open .ast-mobile-header-content.content-align-flex-start {
        transition: all .4s linear;
        max-height: 100vh;
    }

}